# $Revision: 1.12 $, $Date: 2006/09/03 18:51:14 $
%include	/usr/lib/rpm/macros.php
%define		_class		DB
%define		_subclass	Sqlite
%define		_ssclass	Tools
%define		_status		alpha
%define		_pearname	%{_class}_%{_subclass}_%{_ssclass}

Summary:	%{_pearname} - OO interface designed to effectively manage and backup Sqlite databases
Summary(pl):	%{_pearname} - zorientowany obiektowo interfejs do efektywnego zarzdzania bazami Sqlite
Name:		php-pear-%{_pearname}
Version:	0.1.6
Release:	1
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	8204a8d346fe5aa52fb57345ac0e1069
URL:		http://pear.php.net/package/DB_Sqlite_Tools/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:5.0.0
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DB_Sqlite_Tools is extends the native PHP-sqlite function by providing
a comprehensive solution for database backup, live replication, export
in XML format, performance optmization and more. It is designed for
the maintenance and optimisation of several sqlite databases.

In PEAR status of this package is: %{_status}.

%description -l pl
DB_Sqlite_Tools rozszerza natywne funkcje PHP do obsugi sqlite
dostarczajc kompletnego rozwizania do tworzenia kopii zapasowych baz
danych, replikacji "na ywo", eksportowania danych do formatu XML,
optymalizacji szybkoci. Klasa ta zostaa zaprojektowana do obsugi
wielu baz danych sqlite.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/%{_subclass}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-DB_Sqlite_Tools.spec,v $
Revision 1.12  2006/09/03 18:51:14  adamg
- updated to 0.1.6

Revision 1.11  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.10  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.9  2005/10/05 20:11:14  glen
- rel 4

Revision 1.8  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.7  2005/09/20 18:24:58  glen
- use new pear packaging

Revision 1.6  2004/12/04 21:11:29  adamg
- fix small path typo in %%instal
- added path_fix (fixes path in include() )
- release 3

Revision 1.5  2004/12/03 22:03:33  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.4  2004/10/01 19:37:53  adamg
- updated to 0.1.3

Revision 1.3  2004/09/08 18:15:56  adamg
- updated to 0.1.1

Revision 1.2  2004/09/07 09:02:45  adamg
- typo in pl summary
- fixed License, URL
- en description

Revision 1.1  2004/09/07 08:58:46  adamg
- new
